Skip to main content
POST
/
datasource
/
{datasource_id}
/
tag_config
Python (SDK)
import meibelai
from meibelai import Meibelai
import os


with Meibelai(
    api_key_header=os.getenv("MEIBELAI_API_KEY_HEADER", ""),
) as m_client:

    res = m_client.datasources.tag.add_tag_config(datasource_id="<id>", working_bucket="<value>", description="fray brace waltz interesting huzzah whether experience", logical_group_regex="<value>", working_platform="<value>", db_path="<value>", database_config=meibelai.DatabaseConfigInput(
        anyof_schema_1_validator=meibelai.DuckDBConfig(
            database_type=meibelai.DatabaseType.CLICKHOUSE,
            database_filepath="<value>",
            database_name="<value>",
            database_schema="<value>",
        ),
        anyof_schema_2_validator=meibelai.ClickhouseConfig(
            database_type=meibelai.DatabaseType.DUCKDB,
            database_name="<value>",
        ),
        anyof_schema_3_validator=meibelai.PostgreSQLConfig(
            database_type=None,
            database_name="<value>",
        ),
        actual_instance="<value>",
        any_of_schemas=[
            "<value 1>",
            "<value 2>",
        ],
    ))

    # Handle response
    print(res)
{
  "message": "<string>"
}

Authorizations

Meibel-API-Key
string
header
required

Path Parameters

datasource_id
string
required

Body

application/json

AddTagConfigRequest

working_bucket
string
required
description
string | null
logical_group_regex
string | null
working_platform
string | null
default:gcs
db_path
string | null
database_config
DatabaseConfig · object

DatabaseConfig

Response

Successful Response

AddTagConfigResponse

message
string
required